#include<stdio.h>
main(){
FILE * fp;
long pos;
float f;
fp = fopen("archivo.dat","rb");
if (fp!=NULL){
printf("Posicion del dato a recuperar:");
scanf("%d",&pos);
fseek(fp,pos*sizeof(float),SEEK_SET);
if( fread(&f, sizeof(float),1,fp)){
printf("El dato leido es:%f\n",f);
}
else
{
printf("La posicion no es valida\n");
}
fclose(fp);
}
}

